---
kind: CronJob
apiVersion: batch/v1
metadata:
  name: c4i-cron
  namespace: c4i
spec:
  schedule: "0 * * * *"
  jobTemplate:
    metadata:
      labels:
        access: redis
    spec:
      template:
        spec:
          serviceAccountName: "{{ c4i_service_account }}"
          containers:
            - name: c4i-cron
              image: "registry.gitlab.com/is-enes-cdi-c4i/is-enes3/c4i-openid-relay/cron:{{ relay_short_sha }}"
              imagePullPolicy: IfNotPresent
          restartPolicy: OnFailure